@echo off
rem  ______________________________________________________________________
rem
rem  Teleflow Infinite Server Recovery System
rem  (c) 2005 enGenic
rem      All rights reserved
rem  ______________________________________________________________________
rem
rem   Captures all files in log folder, then restarts the
rem   TServer service.   To be used *only* by the Windows
rem   Service Control Manager (SCM)!
rem
rem   Author:  Tim Forner
rem
rem   History: 2005/10/20 - TF: created
rem            2006/03/02 - TF: modified to copy only logs changed since
rem                             last time this program was run; also
rem                             use "LogBackup.cmd" to make SaveHistory
rem                             with date/time named sub-folders 
rem
rem   Parameters:                                 Examples:
rem   -----------                                 ---------
rem     %1  Drive where the appl is installed      C:
rem     %2  System location                        TestTAPs
rem     %3  fail count switch                      /fail {provided by SCM}
rem     %4  restart count                          2 {provided by SCM)
rem
rem   Slashes will be added automatically, eg: %1\%2\log
rem  ______________________________________________________________________
rem

if '%3'=='/fail' goto RECOVER

:USAGE

   echo  ______________________________________________________________________
   echo.
   echo  Teleflow Infinite Server Recovery System
   echo  (c) 2005 enGenic
   echo      All rights reserved
   echo  ______________________________________________________________________
   echo.
   echo  Usage:
   echo.
   echo      MUST be called by Windows Service Control Manager only!
   echo      DO NOT run this command directly!
   echo.
   ntsleep /Q 3

goto DONE

:RECOVER

   rem * Call LogBackup to copy all logs that have changed 
   rem *
   LogBackup %1 %2

   rem * Take a 20 second rest, then restart
   rem *
   ntsleep /Q 20

   rem * Restart the TeleFlow Server service
   rem *
   net start TFServer

:DONE
   rem *
   rem * end of program
   rem *
